Katello - Bug #6875

[RFE] Support for custom server certificates
08/01/2014 05:08 AM - Ivan Necas

Status: Closed
Priority: High
Assignee: Ivan Necas
Category: Installer
Target version: Katello 2.0
Difficulty: hard Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 873753 Red Hat JIRA:
Pull request: https://github.com/Katello/katello-installer
/pull/94
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=873753

Description of problem:

System Engine generates its own CA Cert during install and uses it for the Web Ul and signing other certs used for communication
between pulp, candlepin, and AMQP.

Issues with this, outlined at https://fedorahosted.org/katello/wiki/CertsRedesign, along with a lot more detail are:

all server certs are signed by Candlepin CA
Candlepin CA serves as both server cert and CA cert
its key is not password protected
its key is accessible by three system users
certs are not trusted
no multihome support

Version-Release number of selected component (if applicable):
System Engine 1.1 Beta

Thus far https://bugzilla.redhat.com/show_bug.cgi?id=754728 to document the process for replacing the CA with a subordinate CA
signed by our CA has not been completed, and | have been told that the process will not be supported until 2.0.

How reproducible:
Always

Steps to Reproduce:
1. Install System Engine

Actual results:
See that the CA Cert created during install is used as the server cert and the CA Cert for signing other certs. Look for documentation
on replacing the CA Cert with a subordinate CA signed by your organizations CA and see that there is none.

Expected results:
We should be able to replace the cert for the Web Ul with a standard SSL cert signed by our CA. We should also have the option of
replacing the CA Cert created during install with a subordinate CA cert signed by our CA Cert.

Additional info:

Related issues:
Has duplicate Katello - Feature #5296: As a user, | would like to have the se... Duplicate 04/21/2014

Associated revisions

Revision b9cdaea2 - 08/01/2014 05:12 AM - Ivan Necas
Refs #6875 - Update the modules to the changes in puppet-certs module

Revision b9cdaea2 - 08/01/2014 05:12 AM - lvan Necas
Refs #6875 - Update the modules to the changes in puppet-certs module

Revision dff469d9 - 08/15/2014 09:54 AM - lvan Necas
Refs #6875 - separate the default CA and server CA
Up until now, we used the default CA for both server and client certificates.

This made practically impossible to issue the server certificates outside of
the installer and pass it in as arguments.

By default, the server CA is the same as default CA, unless the $server_ca_cert

is specified.

In the bootstrap rpm, we ship both server CA (for verifying the server) as well

the default CA (for verifying the gpid by the gofer).

Revision e72e7a99 - 08/18/2014 08:41 AM - lvan Necas
Refs #6875 - deploy the server cert for the pulp node to verify the parent

Revision 1f2¢75a8 - 08/18/2014 08:43 AM - Ivan Necas

Refs #6875 - set the path to the server cert according to cert params

Revision 1f2¢75a8 - 08/18/2014 08:43 AM - Ivan Necas

Refs #6875 - set the path to the server cert according to cert params
Revision da188398 - 08/19/2014 06:42 AM - Ivan Necas

Merge pull request #12 from iNecas/issue/6875

Refs #6875 - Update the modules to the changes in puppet-certs module
Revision da188398 - 08/19/2014 06:42 AM - lvan Necas

Merge pull request #12 from iNecas/issue/6875

Refs #6875 - Update the modules to the changes in puppet-certs module
Revision f9da521d - 08/19/2014 06:43 AM - lvan Necas

Merge pull request #25 from iNecas/issue/6875

Refs #6875 - separate the default CA and server CA

Revision dd1f7dae - 08/19/2014 06:48 AM - lvan Necas

Fixes #6875 - Ability to pass own server certs for apache and smart-proxy
Also ability to renew the sever or all certs

Revision e25877fd - 08/19/2014 06:55 AM - lvan Necas
Refs #6875,#7115 - Update pulp,certs and capsule module

Revision 494ea150 - 08/19/2014 07:02 AM - Ivan Necas
Merge pull request #94 from iNecas/issue/6875

Fixes #6875 - Ability to pass own server certs for apache and smart-proxy

History

#1 - 08/01/2014 05:09 AM - Ivan Necas

- Status changed from New to Assigned

#2 - 08/01/2014 05:09 AM - Ivan Necas
- Category changed from Web Ul to Installer

#3 - 08/01/2014 05:09 AM - Ivan Necas

- Target version set to 54
#4 - 08/04/2014 10:35 AM - Eric Helms
- Difficulty set to hard

- Triaged changed from No to Yes

#5 - 08/04/2014 11:38 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello-installer/pull/94 added
- Pull request deleted ()

#6 - 08/18/2014 08:33 AM - Eric Helms

- Target version changed from 54 to 55

#7 - 08/18/2014 02:56 PM - Eric Helms

- Has duplicate Feature #5296: As a user, | would like to have the server certificates used at install time be signed by a client CA. added

#8 - 08/19/2014 08:02 AM - Ivan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello-installer|dd1f7daeafcd67a4d98c8d7165{883ec4a9e0e7a.

#9 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
